Kotlin 1.1.4 发布,改进对 Java 9 的支持 - 开源中国社区
Float_left Icon_close
Kotlin 1.1.4 发布,改进对 Java 9 的支持
达尔文 2017年08月15日

Kotlin 1.1.4 发布,改进对 Java 9 的支持

达尔文 达尔文 发布于2017年08月15日 收藏 6

阿里云高性能云服务器,2折起! >>> >>>  

Kotlin 1.1.4 已发布。这是 Kotlin 1.1 系列一个新的 bug 修复和工具更新版本。该更新与 2016.2 至 2017.2 的所有 IntelliJ IDEA 版本兼容,也和 Android Studio 2.3 和 3.0 beta 兼容。

主要更新内容如下:

1、修复 IDEA 插件中的主要性能回归

2、添加对包缺省的可控性注解的支持

3、改进对 Java 9 的支持:

  • 从此版本开始,Kotlin 基于 module-info.java 的信息执行基于模块的可见性检查。 现在还支持在 JDK 9 下运行编译器。

4、添加一个用于 JavaScript 死代码消除的工具,提高对 JS 调试和 JS 单元测试支持的源映射支持

5、生成更高效的字节码

6、为 IntelliJ IDEA 插件添加新功能

7、Android Extensions 插件增强功能

Android Extensions 插件现在不仅支持活动和片段,还支持自定义视图,甚至支持自定义布局容器(如 ViewHolder),变体也获得了完全支持。您可以在 KEEP 提案中了解有关新功能的更多信息。示例:

8、Parcelable 支持

Android Extensions 插件现在包括一个自动包装实现生成器。 声明主构造函数中的序列化属性并添加 @Parcelize 注释,并且将自动创建 writeToParcel()/createFromParcel() 方法:

完整更新内容请查看发布主页Github 发布主页

下载地址:

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Kotlin 1.1.4 发布,改进对 Java 9 的支持
分享
评论(13)
最新评论
0
拉了个屎到java身上
0
已更新生产环境
0
已更新
0
还没用上
0
已更,明天发到线上
0
666666
0
66666
0
看来 Android Studio 默认支持 Java9 没指望了,只能上 Kotlin。
0
更新太快了!
0
不得不说,kotlin是一群勤奋的人开发的
0
年度最佳语言
0
刚收到更新
0
灰常支持
顶部